net.sf.jasperreports.engine.analytics.dataset

## Class MultiAxisDataService.LevelNode

- java.lang.Object
- - net.sf.jasperreports.engine.analytics.dataset.MultiAxisDataService.LevelNode

- All Implemented Interfaces:
    AxisLevelNode
  Enclosing class:
    MultiAxisDataService

      protected class MultiAxisDataService.LevelNode
      extends java.lang.Object
      implements AxisLevelNode

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Axis` | `axis`
    `protected int` | `axisDepth`
    `protected BucketDefinition.Bucket` | `bucket`
    `protected BucketingService.BucketMap` | `childrenMap`
    `protected MultiAxisDataService.LevelNode` | `parent`
    `protected PropertyValues` | `propertyValues`
    `protected java.lang.Object` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiAxisDataService.LevelNode(Axis axis, int axisDepth, MultiAxisDataService.LevelNode parent, BucketDefinition.Bucket bucket, BucketingService.BucketMap childrenMap)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<? extends AxisLevelNode>` | `getChildren()`
    `AxisLevel` | `getLevel()`
    `PropertyValues` | `getNodePropertyValues()`
    `AxisLevelNode` | `getParent()`
    `java.lang.Object` | `getValue()`
    `boolean` | `isTotal()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### axis

          protected final Axis axis

    - #### axisDepth

          protected final int axisDepth

    - #### parent

          protected final MultiAxisDataService.LevelNode parent

    - #### bucket

          protected final BucketDefinition.Bucket bucket

    - #### childrenMap

          protected final BucketingService.BucketMap childrenMap

    - #### value

          protected java.lang.Object value

    - #### propertyValues

          protected PropertyValues propertyValues

  - ### Constructor Detail

    - #### MultiAxisDataService.LevelNode

          public MultiAxisDataService.LevelNode(Axis axis,
                                        int axisDepth,
                                        MultiAxisDataService.LevelNode parent,
                                        BucketDefinition.Bucket bucket,
                                        BucketingService.BucketMap childrenMap)

  - ### Method Detail

    - #### getLevel

          public AxisLevel getLevel()

      Specified by:
        `getLevel` in interface `AxisLevelNode`

    - #### isTotal

          public boolean isTotal()

      Specified by:
        `isTotal` in interface `AxisLevelNode`

    - #### getValue

          public java.lang.Object getValue()

      Specified by:
        `getValue` in interface `AxisLevelNode`

    - #### getNodePropertyValues

          public PropertyValues getNodePropertyValues()

      Specified by:
        `getNodePropertyValues` in interface `AxisLevelNode`

    - #### getParent

          public AxisLevelNode getParent()

      Specified by:
        `getParent` in interface `AxisLevelNode`

    - #### getChildren

          public java.util.List<? extends AxisLevelNode> getChildren()

      Specified by:
        `getChildren` in interface `AxisLevelNode`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com